# FoundationClasses
TKernel
Units

# Units_UnitsSequence Class Reference

`#include <Units_UnitsSequence.hxx>`

Inheritance diagram for Units_UnitsSequence:

[legend]

## Public Member Functions

| Units_UnitsSequence ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(Units_Unit)&anItem)
Standard_EXPORT void | Append (const Handle(Units_UnitsSequence)&aSequence)
Standard_EXPORT void | Prepend (const Handle(Units_Unit)&anItem)
Standard_EXPORT void | Prepend (const Handle(Units_UnitsSequence)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Units_Unit)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Units_UnitsSequence)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Units_Unit)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Units_UnitsSequence)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_Units_UnitsSequence | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(Units_Unit)&anItem)
Standard_EXPORT const Handle_Units_Unit & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_Units_Unit & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const Units_UtsSequence & | Sequence () const
Units_UtsSequence & | ChangeSequence ()
Standard_EXPORT Handle_Units_UnitsSequence | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Units_UtsSequence | mySequence

## Constructor & Destructor Documentation

Units_UnitsSequence::Units_UnitsSequence | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Units_UnitsSequence::Append | ( | const Handle(Units_UnitsSequence)& | aSequence | ) |

Standard_EXPORT void Units_UnitsSequence::Append | ( | const Handle(Units_Unit)& | anItem | ) |

Units_UtsSequence& Units_UnitsSequence::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_Units_Unit& Units_UnitsSequence::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Units_UnitsSequence::Clear | ( |  | ) |

Standard_EXPORT void Units_UnitsSequence::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const Units_UnitsSequence::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void Units_UnitsSequence::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Units_UnitsSequence)& | aSequence
| ) |

Standard_EXPORT void Units_UnitsSequence::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Units_Unit)& | anItem
| ) |

Standard_EXPORT void Units_UnitsSequence::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Units_UnitsSequence)& | aSequence
| ) |

Standard_EXPORT void Units_UnitsSequence::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Units_Unit)& | anItem
| ) |

Standard_Boolean Units_UnitsSequence::IsEmpty | ( |  | ) | const

Standard_Integer Units_UnitsSequence::Length | ( |  | ) | const

Standard_EXPORT void Units_UnitsSequence::Prepend | ( | const Handle(Units_UnitsSequence)& | aSequence | ) |

Standard_EXPORT void Units_UnitsSequence::Prepend | ( | const Handle(Units_Unit)& | anItem | ) |

Standard_EXPORT void Units_UnitsSequence::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void Units_UnitsSequence::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Units_UnitsSequence::Reverse | ( |  | ) |

const Units_UtsSequence& Units_UnitsSequence::Sequence | ( |  | ) | const

Standard_EXPORT void Units_UnitsSequence::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(Units_Unit)& | anItem
| ) |

Standard_EXPORT Handle_Units_UnitsSequence Units_UnitsSequence::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_Units_UnitsSequence Units_UnitsSequence::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_Units_Unit& Units_UnitsSequence::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

Units_UtsSequence Units_UnitsSequence::mySequence `[private]`

The documentation for this class was generated from the following file:

- Units_UnitsSequence.hxx